.cake {
  @include flex(column, center, center);
  width: 48%;
  margin-bottom: -1vw;
  z-index: 4;

  .dish {
    width: 100%;
    height: 2.5vw;
    background: #8e8e8e;
    border-radius: 0.4vw;
    box-shadow: -2px 2px 2px #969696;
    border-bottom-right-radius: 4vw;
    border-bottom-left-radius: 4vw;
    z-index: 3;
  }

  .dough {
    width: 100%;
    height: 3vw;
    position: relative;
    overflow: hidden;

    &::after {
      content: "";
      position: absolute;
      top: 2.3vw;
      width: 100%;
      height: 8vw;
      border-radius: 50%;
      background: #f4c092;
      animation: rise 10s 1s linear forwards;
    }
  }
}

@keyframes rise {
  100% {
    top: 0vw;
    background: #d09662;
  }
}

@keyframes timer {
  100% {
    background-color: #4c4c4c;
  }
}